<?php

namespace CreoCode\ContaoFormSubmissions\Classes;
use Contao\DataContainer;
use Contao\Database;

/**
 * Class FormSubmissionsDataShow
 */
class FormSubmissionsDataShow extends \BackendModule
{
	/**
	 * Template
	 * @var string
	 */
	protected $strTemplate = 'form_submissions_data_show';


	/**
	 * Generate the module
	 */
	protected function compile() {		
		// Find missing labels
		if (htmlspecialchars(\Input::get('showForm'))) {

			$this->Template->submission = $this->Database->prepare("SELECT * FROM tl_form_submissions WHERE id=? limit 1")
                    ->execute(htmlspecialchars(\Input::get('showForm')))->fetchAssoc();

			$this->Template->submissionSet = $this->Database->prepare("SELECT * FROM tl_form_submissions_set WHERE id=? limit 1")
                    ->execute($this->Template->submission['pid'])->fetchAssoc();

            $this->Template->submissionData = $this->Database->prepare("SELECT id,pid,form_id,tstamp,subject,data FROM tl_form_submissions_data WHERE pid=? limit 1")
                    ->execute($this->Template->submission['id'])->fetchAssoc();
		}
	}
}
